FUNCTION::REGISTERS_(3stap)

NAME
function::registers_valid - Determines validity of register and u_register in current context

SYNOPSIS

    registers_valid:long()

ARGUMENTS

None

DESCRIPTION

This function returns 1 if register and u_register can be used in the current context, or 0 otherwise. For example, registers_valid returns 0 when called from a begin or end probe.

SEE ALSO
tapset::context(3stap)